<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-booking-guest-heading">Create or edit a Booking Guest</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_amount">Amount</label>
                    <input type="text" class="form-control" name="amount" id="field_amount"
                           formControlName="amount"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_createdAt">Created At</label>
                    <div class="d-flex">
                        <input id="field_createdAt" type="datetime-local" class="form-control" name="createdAt" formControlName="createdAt" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_updatedAt">Updated At</label>
                    <div class="d-flex">
                        <input id="field_updatedAt" type="datetime-local" class="form-control" name="updatedAt" formControlName="updatedAt" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_bookingServiceMember">Booking Service Member</label>
                    <select class="form-control" id="field_bookingServiceMember" name="bookingServiceMember" formControlName="bookingServiceMember">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="bookingServiceMemberOption.id === editForm.get('bookingServiceMember')!.value?.id ? editForm.get('bookingServiceMember')!.value : bookingServiceMemberOption" *ngFor="let bookingServiceMemberOption of bookingservicemembers; trackBy: trackById">{{ bookingServiceMemberOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
